Package org.eclipse.m2m.atl.adt.ui

## Interface IAtlStatusConstants

    public interface IAtlStatusConstants

Defines status codes relevant to the Atl UI plug-in. When a Core exception is thrown, it contain a status object describing the cause of the exception. The status objects originating from the Atl UI plug-in use the codes defined in this interface.

### Field Summary

Fields
`static int` `CHANGE_ABORTED` Status constant indicating that a `ChangeAbortException` has been caught.
`static int` `INTERNAL_ERROR` Atl UI status constants start at 10000 to make sure that we don't collide with resource and Atl model constants.
`static int` `TEMPLATE_IO_EXCEPTION` Status constant indicating that an exception occurred on storing or loading templates.
`static int` `TEMPLATE_PARSE_EXCEPTION` Status constant indicating that an exception occurred while parsing template file.
`static int` `VALIDATE_EDIT_CHANGED_CONTENT` Status constant indicating that an validateEdit call has changed the content of a file on disk.

### Field Detail

#### INTERNAL_ERROR

    static final int INTERNAL_ERROR

Atl UI status constants start at 10000 to make sure that we don't collide with resource and Atl model constants.

See Also:
  Constant Field Values

#### TEMPLATE_IO_EXCEPTION

    static final int TEMPLATE_IO_EXCEPTION

Status constant indicating that an exception occurred on storing or loading templates.

See Also:
  Constant Field Values

#### VALIDATE_EDIT_CHANGED_CONTENT

    static final int VALIDATE_EDIT_CHANGED_CONTENT

Status constant indicating that an validateEdit call has changed the content of a file on disk.

See Also:
  Constant Field Values

#### CHANGE_ABORTED

    static final int CHANGE_ABORTED

Status constant indicating that a `ChangeAbortException` has been caught.

See Also:
  Constant Field Values

#### TEMPLATE_PARSE_EXCEPTION

    static final int TEMPLATE_PARSE_EXCEPTION

Status constant indicating that an exception occurred while parsing template file.

See Also:
  Constant Field Values